# HG changeset patch
# Node ID 2b6d7dd9b158
# Parent  7197410767bf
diff --git a/ibis/ibiscapabilities.c b/ibis/ibiscapabilities.c
--- a/ibis/ibiscapabilities.c
+++ b/ibis/ibiscapabilities.c
@@ -380,8 +380,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_CLIENT] = g_param_spec_object(
-		"client", "client",
-		"The client this capabilities was created with.",
+		"client", NULL, NULL,
 		IBIS_TYPE_CLIENT,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
diff --git a/ibis/ibisclient.c b/ibis/ibisclient.c
--- a/ibis/ibisclient.c
+++ b/ibis/ibisclient.c
@@ -325,8 +325,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_ALT_NICK] = g_param_spec_string(
-		"alt-nick", "alt-nick",
-		"The alternative nick to use.",
+		"alt-nick", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -338,8 +337,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_CANCELLABLE] = g_param_spec_object(
-		"cancellable", "cancellable",
-		"The GCancellable for the client.",
+		"cancellable", NULL, NULL,
 		G_TYPE_CANCELLABLE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -351,8 +349,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_CAPABILITIES] = g_param_spec_object(
-		"capabilities", "capabilities",
-		"The capabilities for this client.",
+		"capabilities", NULL, NULL,
 		IBIS_TYPE_CAPABILITIES,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -364,8 +361,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_CONNECTED] = g_param_spec_boolean(
-		"connected", "connected",
-		"Whether or not the client is currently connected.",
+		"connected", NULL, NULL,
 		FALSE,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -377,8 +373,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_ERROR] = g_param_spec_boxed(
-		"error", "error",
-		"An error that the client encountered.",
+		"error", NULL, NULL,
 		G_TYPE_ERROR,
 		G_PARAM_READABLE | G_PARAM_STATIC_STRINGS);
 
@@ -393,8 +388,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_NICK] = g_param_spec_string(
-		"nick", "nick",
-		"The primary nick to use.",
+		"nick", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -408,8 +402,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_REALNAME] = g_param_spec_string(
-		"realname", "realname",
-		"The realname to use.",
+		"realname", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -423,8 +416,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_USERNAME] = g_param_spec_string(
-		"username", "username",
-		"The username to use.",
+		"username", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
diff --git a/ibis/ibismessage.c b/ibis/ibismessage.c
--- a/ibis/ibismessage.c
+++ b/ibis/ibismessage.c
@@ -320,8 +320,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_COMMAND] = g_param_spec_string(
-		"command", "command",
-		"The command of the message.",
+		"command", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -335,8 +334,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_PARAMS] = g_param_spec_boxed(
-		"params", "params",
-		"The parameters of this message.",
+		"params", NULL, NULL,
 		G_TYPE_STRV,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -351,8 +349,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_RAW_MESSAGE] = g_param_spec_string(
-		"raw-message", "raw-message",
-		"The raw message that was parsed.",
+		"raw-message", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_CONSTRUCT_ONLY | G_PARAM_STATIC_STRINGS);
 
@@ -367,8 +364,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_SOURCE] = g_param_spec_string(
-		"source", "source",
-		"The source of the message.",
+		"source", NULL, NULL,
 		NULL,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -381,8 +377,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_TAGS] = g_param_spec_object(
-		"tags", "tags",
-		"The ircv3 message tags from the message.",
+		"tags", NULL, NULL,
 		IBIS_TYPE_TAGS,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
@@ -394,8 +389,7 @@
 	 * Since: 0.1
 	 */
 	properties[PROP_ERROR] = g_param_spec_boxed(
-		"error", "error",
-		"An error that was encountered when processing the message.",
+		"error", NULL, NULL,
 		G_TYPE_ERROR,
 		G_PARAM_READWRITE | G_PARAM_STATIC_STRINGS);
 
